FrankC FrankC - 9 months ago 46
C++ Question

Alpine Packages missing package cassandra-cpp-driver

Wonder if anyone has tried the Cassandra-cpp-driver on Alpine?
I found this package: https://pkgs.alpinelinux.org/package/edge/testing/x86/cassandra-cpp-driver

But when I tried "apk add cassandra-cpp-driver", it cannot find it

ERROR: unsatisfiable constraints:
cassandra-cpp-driver (missing):
required by: world[cassandra-cpp-driver]


Thanks!

Answer Source

Since this is a 'testing' package, you need to install it like this

apk add cassandra-cpp-driver --update-cache --repository \
    http://dl-3.alpinelinux.org/alpine/edge/testing/ --allow-untrusted

See https://wiki.alpinelinux.org/wiki/Alpine_Linux_package_management#Add_a_Package